View Issue Details

IDProjectCategoryView StatusLast Update
0000141Far Manager 1.7xMacropublic2007-07-16 16:07
ReporterSmitisAssigned Tovskirdin 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version1.70 
Target VersionFixed in Version1.71 
Summary0000141: Неправильный ввод макросов AltShift/ и Alt- (Alt_)
Description1. Если вводить через Ctrl. макрос "AltShift/", в поле ввода клавиши попадает "AltShift?" и под таким именем заноситься в реестр. Соответственно, невозможно выполнить введённый таким образом макрос. При ручном занесении в реестр макрос выполняется нормально.

2. Аналогично, для макроса "Alt-" в поле ввода клавиши попадает "AltShift_", затирая макрос "AltShift_". При ручном занесении в реестр макрос выполняется нормально. Кроме того, "Alt-" имеет одну особенность, багом не являющуюся, но возможно это следствие другого бага. Прослеживается закономерность в именах макросов: "AltShift~" и "Alt~", "AltShift=" и "Alt=" и т.д. И только в паре "AltShift_" и "Alt-" эта закономерность нарушается (должен быть "Alt_").
Steps To Reproduce1. Ctrl. Ctrl. AltShift/

2. Ctrl. Ctrl. Alt-
TagsNo tags attached.
Build

Activities

vskirdin

2006-07-03 09:37

administrator   bugnote:0000224

после 2114

Issue History

Date Modified Username Field Change
2006-04-20 17:05 Smitis New Issue
2006-04-20 17:05 Smitis Status new => assigned
2006-04-20 17:05 Smitis Assigned To => vskirdin
2006-07-03 09:37 vskirdin Status assigned => resolved
2006-07-03 09:37 vskirdin Fixed in Version => 1.71
2006-07-03 09:37 vskirdin Resolution open => fixed
2006-07-03 09:37 vskirdin Note Added: 0000224
2007-07-16 16:07 alexy Status resolved => closed